Get list of subscriptions

The Get list of subscriptions method returns the list of subscriptions of the current reseller or any of its downstream resellers.

XML
GET {base_url}/api/v3/resellers/{reseller_id}/subscriptions

Arguments

Name

Parameter type

Data type

Required/ Optional

Description

X-Api-Token

header

string

Required

API token of a manager that performs the operation (see


)

Content-Type

header

string

Required

Media type of the request. Specify the following: application/vnd.api+json

Accept

header

string

Required

Supported media types of the answer. Specify the following: application/vnd.api+json

base_url

path

string

Required

ActivePlatform URL

reseller_id

path

integer

Required

ID of the current reseller or any of its downstream resellers (see 


)

page[size]

query

integer

Optional

Page navigation: number of elements per page. The default value is 50

page[number]

query

integer

Optional

Page navigation: page number

meta

query

bool

Optional

Request of additional attributes of the subscription

filter[account_id]

query

string

Optional

Filtering subscriptions by the account ID. Several IDs must be separated by a comma

filter[status]

query

string

Optional

Filtering subscriptions by status. Several statuses must be separated by a comma

filter[payment_model]

query

string

Optional

Filtering subscriptions by payment model:

  • filter[payment_model]=prepay — prepaid subscriptions.

  • filter[payment_model]=postpay — postpaid subscriptions.

filter[trial]

query

bool

Optional

Filtering subscriptions by the Trial attribute:

  • filter[trial]=true — trial subscriptions.

  • filter[trial]=false — commercial subscriptions.

filter[plan_id]

query

string

Optional

Filtering subscriptions by the plan ID. Several IDs must be separated by a comma

filter[created_at]

query

string

Optional

Filtering subscriptions by the date and time of the subscription creation in the YYYY-MM-DDTHH:MM:SS format for the platform time zone or in the specified time zone (for example, YYYY-MM-DDTHH:MM:SSZ for UTC, see RFC 3339). To specify the period, the following filters are used:

  • filter[created_at][gt] — date and time are greater than the specified.

  • filter[created_at][lt] — date and time are less than the specified.

  • filter[created_at][gte] — date and time are greater than or equal to the specified.

  • filter[created_at][lte] — date and time are less than or equal to the specified.

filter[updated_at]

query

string

Optional

Filtering subscriptions by the date and time of the subscription last update in the YYYY-MM-DDTHH:MM:SS format for the platform time zone or in the specified time zone (for example, YYYY-MM-DDTHH:MM:SSZ for UTC, see RFC 3339). To specify the period, the following filters are used:

  • filter[updated_at][gt] — date and time are greater than the specified.

  • filter[updated_at][lt] — date and time are less than the specified.

  • filter[updated_at][gte] — date and time are greater than or equal to the specified.

  • filter[updated_at][lte] — date and time are less than or equal to the specified.

filter[start_date]

query

string

Optional

Filtering subscriptions by the start date in the YYYY-MM-DD format. 

To specify the period, the following filters are used:

  • filter[start_date][gt] — date and time are greater than the specified.

  • filter[start_date][lt] — date and time are less than the specified.

  • filter[start_date][gte] — date and time are greater than or equal to the specified.

  • filter[start_date][lte] — date and time are less than or equal to the specified.

 filter[expiration_date]

query

string

Optional

Filtering subscriptions by the expiration date in the YYYY-MM-DD format. 

To specify the period, the following filters are used:

  • filter[expiration_date][gt] — date and time are greater than the specified.

  • filter[expiration_date][lt] — date and time are less than the specified.

  • filter[expiration_date][gte] — date and time are greater than or equal to the specified.

  • filter[expiration_date][lte] — date and time are less than or equal to the specified.

filter[custom_price]

query

bool

Optional

Filtering subscriptions by the Individual price attribute:

  • filter[custom_price]=true — subscriptions ordered at the individual prices (at the individual markup).

  • filter[custom_price]=false — subscriptions ordered at the plan prices.

sort

query

string

Optional

Sorting the list by the specified parameter:

  • sort={parameter} — ascending sorting.

  • sort={-parameter} — descending sorting.

As a {parameter}, the following fields can be used (see the response model):

  • created_at

  • updated_at

  • start_date

  • expiration_date

include

query

string

Optional

Returns additional information about objects related to subscriptions. The parameter can be a comma-separated list if information about several objects is required. The following objects and possible values are supported:

Object

Parameter value

Account who ordered the subscription

account

Plan ordered for the subscription

plan

Period ordered for the subscription

subscription_period

Subscription resources available for ordering

subscription_resources

Response model

Name

Data type

Description

data

array

Response data


id

string

ID of the subscription


type

string

Data type


attributes

object

Information about the subscription (see


)



created_at

string

Date and time of the subscription creation



updated_at

string

Date and time when the subscription was updated



plan_id

integer

Plan ID of the subscription (see


in the


)



account_id

integer

Account ID to which the subscription is related



name

string

Subscription name



trial

bool

Subscription type:

  • true — trial subscription.

  • false — commercial subscription.



status

string

Subscription status (see )



start_date

string

Activation date of the subscription (YYYY-MM-DD)



expiration_date

string

Expiration date of the subscription (YYYY-MM-DD)



plan_period_id

integer

ID of the plan period



promo_code

string

Promo code which was used to get the discount



renewal_settings

object

Renewal settings of the subscription




autorenew

 bool

Status of the Auto-renew option:

  • true — the Auto-renew option is selected.

  • false — the Auto-renew option is not selected.




disable_autorenew

bool

Status of the Disable the Auto-renew option option:

  • true — the Disable the Auto-renew option option is selected.

  • false — the Disable the Auto-renew option option is not selected.




autorenew_point

integer

Auto-renew point (in days)




manual_renew_point

integer

Manual renew point (in days)



payment_model

string

Subscription payment model:

  • prepay

  • postpay



payment_model_parameters

object

Payment model parameters




credit_limit

number

The value of the subscription debt, above which the postpaid subscription will be stopped. For postpaid subscriptions only (payment_model = postpay)




current_debt

number

The subscription debt that is calculated as the total amount of all blocked charges for the subscription for the current billing period. For postpaid subscriptions only (payment_model = postpay)



fixed_price

bool

Status of the Fixed price option in the ordered plan (see ):

  • true — the Fixed price option is selected.

  • false — the Fixed price option is not selected.



ability

object

The list of available operations for the subscription 




stop

bool

Stopping the subscription (see Stop subscription):

  • true — the operation is available.

  • false — the operation is not available.




activate

bool

Activating the subscription (see Activate subscription):

  • true — the operation is available.

  • false — the operation is not available.




destroy

bool

Deleting the subscription (see Delete subscription):

  • true — the operation is available.

  • false — the operation is not available.




adjust

bool

Changing the amount of resources of the subscription (see Create change order):

  • true — the operation is available.

  • false — the operation is not available.




immediate_switch_plan_order

bool

Immediate switching the plan of the subscription (see Create switch order):

  • true — the operation is available.

  • false — the operation is not available.




delayed_switch_plan_order

bool

Delayed switching the plan of the subscription (see Create switch order):

  • true — the operation is available.

  • false — the operation is not available.




renew

bool

Renewing the subscription manually (see Create renewal order):

  • true — the operation is available.

  • false — the operation is not available.




change_auto_renew_option

bool

Changing the Auto-renew option of the subscription (see Update subscription):

  • true — the operation is available.

  • false — the operation is not available.




prolong

bool

Prolonging the subscription manually (see Create prolong order):

  • true — the operation is available.

  • false — the operation is not available.




change_resources_renewal_order

bool

Changing the amount of resources while renewing the subscription (see in ):

  • true — the operation is available.

  • false — the operation is not available.




decrease_resources_change_order

bool

Decreasing the amount of resources of the subscription in the change order (see in ):

  • true — the operation is available.

  • false — the operation is not available.

    For example, decreasing the amount of resources of a subscription may not be available if the charges were closed manually (see in ). In this case, the operation is not available until the date specified in the hold_to parameter of the API v1 method .




decrease_resources_prolong_order

bool

Decreasing the amount of resources while prolonging the subscription (see


in


):

  • true — the operation is available.

  • false — the operation is not available.



custom_price

bool

Individual prices for the subscription (see in ):

  • true — the subscription is ordered at the individual prices (at the individual markup).

  • false — the subscription is ordered at the plan prices.


relationships

object

Related objects



account

object

Information about the account ordered the subscription




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



subscription_resources

object

Information about available subscription resources




data

array

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



subscription_period

object

Information about the ordered subscription period




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type



plan

object

Information about the ordered plan




data

object

Related object information:

Name

Data type

Description

id

string

ID of the object

type

string

Data type


meta

object

Additional attributes of the subscription (see Viewing details about an application instance in the Subscriptions section in


)



applications

array

List of the additional attributes of the subscription. The content depends on the subscription




'attribute.name'

string

Value of the attribute

included

array

Additional information about objects listed in the request:

  • For the account, see the data model in Get account.

  • For the ordered plan, see the data model in Get plan.

  • For a subscription resource:

Name

Data type

Description

id

string

ID of the subscription resource

type

string

Data type

attributes

object

Information about the subscription resource (see


)


created_at

string

Date and time of the resource creation


updated_at

string

Date and time when the resource was updated


name

string

Name the resource


measurable

bool

Displays whether the actual amount of the used resource is supported:

    • true — the actual amount of the used resource is used for generating charges.

    • false — the actual amount of the used resource is not used for generating charges.


unit_of_measure

string

Unit of measure of the resource:

    • unit — the resource is measurable. The resource amount is specified.

    • boolean — the resource is non-measurable. The resource amount is not required and:true — the resource is included in the plan.false — the resource is not included in the plan.


application_template_name

string

Name of the application template


included

integer

Amount of the resource included in the plan by default (included resources are part of the subscription price)


minimum

integer

Minimum amount of the resource (together with the included amount) available for ordering


limit

integer

Maximum amount of the resource available for ordering. For an unlimited resource (unlimited_units = true), limit = 0


additional

integer

Ordered additional quantity of the resource


priority

integer

Resource priority


setup_fee

string

Setup fee of the resource


recurring_fee

string

Monthly recurring fee of the resource


overuse_fee

string

Overuse fee of the resource


renewal_fee

string

Renewal fee of the resource


unlimited_units

bool

Attribute of the unlimited resource:

  • true — the resource is unlimited.

  • false — the resource is not unlimited.


public

bool

Availability of the resource:

  • true — the resource is available for ordering.

  • false — the resource is not available for ordering.


status

string

Status of the resource:

  • active

  • inactive

  • deleted


resource_id

integer

ID of the plan resource


custom_attributes

array of objects

Information about custom attributes of the resource



'custom-attribute-key'

string

Value of the custom attribute of the resource


  • For the ordered plan period:

Name

Data type

Description

id

string

ID of the plan period

type

string

Data type

attributes

object

Information about the plan period


created_at

string

Date and time of the plan period creation


updated_at

string

Date and time when the plan period was updated


duration_value

integer

Duration of the plan period


duration_type

string

Unit of measure of the plan period duration


setup_fee

string

Setup fee of the plan for the plan period


recurring_fee

string

Monthly recurring fee of the plan for the plan period


transfer_fee

string

Transfer fee of a domain for the plan period. The transfer fee is applied if domains are available as a resource in the service


renewal_fee

string

Renewal fee of the plan for the plan period


endless

bool

Indicator of the endless duration of the plan period:

  • true — the plan period is endless.

  • false — the plan period is non-endless.


trial

bool

Plan period type:

  • true — trial plan period.

  • false — commercial plan period.


public

bool

Availability of the plan period:

  • true — the plan period is available for ordering.

  • false — the plan period is not available for ordering.


status

string

Status of the plan period:

  • active

  • deleted


description

string

Plan period details description

links

object

Page navigation links that use the defined page navigation parameters


self

string

Current page link


first

string

First page link


prev

string

Previous page link


next

string

Next page link


last

string

Last page link

Request example

XML
GET /api/v3/resellers/1/subscriptions?meta=true&page[size]=2&page[number]=2610&include=account,plan,subscription_period,subscription_resources
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
X-Api-Token: vY5fwetestK3gJXZH5uHCw
Accept: application/vnd.api+json

Response example

JSON
{
    "data": [
        {
            "id": "3007095",
            "type": "subscriptions",
            "attributes": {
                "created_at": "2020-08-05T05:44:55.355+03:00",
                "updated_at": "2020-08-05T06:26:53.948+03:00",
                "plan_id": 1200,
                "account_id": 523,
                "name": "1200 G Suite Business test.activeplatform.com",
                "trial": false,
                "status": "active",
                "start_date": "2020-08-05",
                "expiration_date": "2020-09-05",
                "plan_period_id": 2014,
                "promo_code": null,
                "payment_model": "prepay",
                "payment_model_parameters": {},
                "renewal_settings": {
                    "autorenew": false,
                    "disable_autorenew": false,
                    "autorenew_point": 0,
                    "manual_renew_point": 0
                },
                "fixed_price": false,
                "ability": {
                    "stop": true,
                    "activate": false,
                    "destroy": true,
                    "adjust": true,
                    "immediate_switch_plan_order": false,
                    "delayed_switch_plan_order": false,
                    "renew": false,
                    "change_auto_renew_option": true,
                    "prolong": false,
                    "change_resources_renewal_order": true,
                    "decrease_resources_change_order": false,
					"decrease_resources_prolong_order": false
                },
                "custom_price": false
            },
            "relationships": {
                "account": {
                    "data": {
                        "id": "523",
                        "type": "accounts"
                    }
                },
                "subscription_resources": {
                    "data": [
                        {
                            "id": "34847",
                            "type": "subscription_resources"
                        }
                    ]
                },
                "subscription_period": {
                    "data": {
                        "id": "6200",
                        "type": "subscription_periods"
                    }
                },
                "plan": {
                    "data": {
                        "id": "1200",
                        "type": "plans"
                    }
                }
            },
            "meta": {
                "applications": [
                    {
                        "user_manual": "<h3>G Suite activation steps</h3><br><ul><li>1. Go to the account admin console <a class=\"link\" href=\"https://admin.google.com\" target=\"blank\">https://admin.google.com</a> using the credentials below.<li><li>2. Accept the G Suite Agreement.<li><li>3. Create a new, strong password for your G Suite Account.<li><li>4. Accept the Term of Service.<li><li>5. Verify your domain to activate G Suite using the \"Start Setup\" button.</li></ul>",
                        "customer_id": "new1",
                        "admin_login": "admin",
                        "domain_name": "test.activeplatform.com",
                        "first_password": "pass123",
                        "plugin_name": "Vendor service"
                    }
                ]
            }
        },
        {
            "id": "3007096",
            "type": "subscriptions",
            "attributes": {
                "created_at": "2020-08-11T08:15:18.760+03:00",
                "updated_at": "2020-08-11T08:15:58.394+03:00",
                "plan_id": 804,
                "account_id": 685,
                "name": "CSP monthly",
                "trial": false,
                "status": "active",
                "start_date": "2020-08-11",
                "expiration_date": "2022-08-11",
                "plan_period_id": 1614,
                "promo_code": null,
                "payment_model": "prepay",
                "payment_model_parameters": {},
                "renewal_settings": {
                    "autorenew": false,
                    "disable_autorenew": false,
                    "autorenew_point": 0,
                    "manual_renew_point": -1
                },
                "fixed_price": false,
                "ability": {
                    "stop": true,
                    "activate": false,
                    "destroy": true,
                    "adjust": true,
                    "immediate_switch_plan_order": false,
                    "delayed_switch_plan_order": false, 
                    "renew": true,
                    "change_auto_renew_option": true,
                    "prolong": true,
                    "change_resources_renewal_order": true,
                    "decrease_resources_change_order": true,
					"decrease_resources_prolong_order": true
                },
                "custom_price": false
            },
            "relationships": {
                "account": {
                    "data": {
                        "id": "685",
                        "type": "accounts"
                    }
                },
                "subscription_resources": {
                    "data": [
                        {
                            "id": "34848",
                            "type": "subscription_resources"
                        }
                    ]
                },
                "subscription_period": {
                    "data": {
                        "id": "6201",
                        "type": "subscription_periods"
                    }
                },
                "plan": {
                    "data": {
                        "id": "804",
                        "type": "plans"
                    }
                }
            },
            "meta": {
                "applications": []
            }
        }
    ],
    "included": [
        {
            "id": "523",
            "type": "accounts",
            "attributes": {
                "created_at": "2019-08-20T04:38:39.065+03:00",
                "updated_at": "2020-08-05T05:44:06.676+03:00",
                "reseller_id": 1,
                "name": "Test company 2",
                "account_class_id": 1,
                "primary_name": "Test company 2",
                "first_name": "Natal",
                "middle_name": "Yur",
                "last_name": "Smith",
                "country": "US",
                "region": "NY",
                "city": "Brooklyn",
                "street": "Westminister ave.",
                "building": "w",
                "office": "",
                "zip": "11000",
                "phone": "+15551144108",
                "email": "test@xample.com",
                "status": "active",
                "balance": "9066.03",
                "usable_balance": "9051.33",
                "current_debt": 0,
                "subscription_credit_limit": 8800,
                "financial_blocking_threshold": 4000,
                "account_type_id": 1602,
                "manager_id": null,
                "owner_id": 949,
                "tech_user_id": 949,
                "bill_user_id": 949,
                "custom_attributes": {
                    "test_attr": "",
                    "inn": "",
                    "unp_test": "",
                    "position": "manager"
                },
                "manager": null,
                "owner": {
                    "created_at": "2020-08-05T05:43:26.424+03:00",
                    "updated_at": "2020-08-05T05:43:26.427+03:00",
                    "email": "test@xample.com",
                    "account_status": "active",
                    "global_status": "active",
                    "first_name": "Tan",
                    "middle_name": "J",
                    "last_name": "Owner"
                },
                "default_payment_model": "prepay",
                "account_type": {
                    "id": 1602,
                    "name": "Юридическое лицо",
                    "created_at": "2017-03-21T10:48:13.152+03:00",
                    "updated_at": "2020-05-05T12:58:44.367+03:00",
                    "reseller_id": 1,
                    "name_pattern": "%primary_name",
                    "primary_name": "Company name",
                    "key": "business",
                    "default_payment_method_id": 1,
                    "ancestry": "1600",
                    "use_by_default": false
                },
                "account_class": {
                    "id": 1,
                    "reseller_id": 1,
                    "name": "Default",
                    "created_at": "2016-08-25T09:26:12.820+03:00",
                    "updated_at": "2020-04-03T10:50:35.132+03:00",
                    "financial_blocking_threshold": "4000.0",
                    "due_order_period": 90,
                    "subzero_period": 1,
                    "stop_subscription_type": "automatically",
                    "key": "default",
                    "color": "grey",
                    "guaranteed_payment_limit": 1000,
                    "guaranteed_payment_period": 7,
                    "delete_subscription_type": "automatically",
                    "denominated": false,
                    "buy_with_negative_balance": true,
                    "receipt_day": null,
                    "payment_model": "prepay",
                    "default": false,
                    "due_payment_period": 3,
                    "subscription_credit_limit": "8800.0"
                }
            },
            "relationships": {
                "subscriptions": {
                    "data": [
                        {
                            "id": "3007095",
                            "type": "subscriptions"
                        },
                        {
                            "id": "3007094",
                            "type": "subscriptions"
                        }
                    ]
                }
            }
        },
        {
            "id": "34847",
            "type": "subscription_resources",
            "attributes": {
                "created_at": "2020-08-05T05:44:55.357+03:00",
                "updated_at": "2020-08-05T06:26:49.047+03:00",
                "name": "User",
                "measurable": null,
                "unit_of_measure": "unit",
                "application_template_name": "G Suite",
                "included": 0,
                "minimum": 1,
                "limit": 750,
                "additional": 2,
                "priority": 0,
                "setup_fee": "0.0",
                "recurring_fee": "0.0",
                "overuse_fee": "0.0",
                "renewal_fee": "0.0",
                "unlimited_units": false,
                "public": true,
                "status": "active",
                "resource_id": 1494,
                "custom_attributes": {
                    "item_1c_id": ""
                }
            }
        },
        {
            "id": "6200",
            "type": "subscription_periods",
            "attributes": {
                "created_at": "2020-08-05T05:44:55.358+03:00",
                "updated_at": "2020-08-05T05:44:55.358+03:00",
                "duration_value": 1,
                "duration_type": "month",
                "setup_fee": "0.0",
                "recurring_fee": "0.0",
                "transfer_fee": "0.0",
                "renewal_fee": "0.0",
                "endless": false,
                "trial": false,
                "public": true,
                "status": "active",
                "description": null
            }
        },
        {
            "id": "1200",
            "type": "plans",
            "attributes": {
                "created_at": "2019-04-21T10:36:06.141+03:00",
                "updated_at": "2020-08-05T07:45:46.451+03:00",
                "status": "inactive",
                "name": "G Suite Business",
                "description": "G Suite Business – Google",
                "public": false,
                "plan_class_id": 10158,
                "product_id": 575,
                "billing_type": "g_suite",
                "ancestry": null,
                "reseller_id": 1,
                "fixed_price": false,
                "plan_class": "G Suite",
                "product_category_id": 190,
                "product_category": "default",
                "product": "G Suite",
                "plan_resources": {
                    "data": [
                        {
                            "id": "3463",
                            "type": "plan_resources",
                            "attributes": {
                                "created_at": "2019-04-21T10:36:06.192+03:00",
                                "updated_at": "2019-11-02T02:47:50.871+03:00",
                                "name": "User",
                                "measurable": null,
                                "unit_of_measure": "unit",
                                "application_template_name": "G Suite",
                                "included": 0,
                                "minimum": 1,
                                "limit": 750,
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "overuse_fee": "0.0",
                                "renewal_fee": "0.0",
                                "unlimited_units": false,
                                "public": true,
                                "status": "active",
                                "resource_id": 1494,
                                "custom_attributes": {
                                    "item_1c_id": ""
                                }
                            }
                        }
                    ]
                },
                "plan_periods": {
                    "data": [
                        {
                            "id": "2014",
                            "type": "plan_periods",
                            "attributes": {
                                "created_at": "2019-04-21T10:36:06.214+03:00",
                                "updated_at": "2019-04-21T10:36:06.214+03:00",
                                "duration_value": 1,
                                "duration_type": "month",
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "transfer_fee": "0.0",
                                "renewal_fee": "0.0",
                                "trial": false,
                                "public": true,
                                "status": "active",
                                "description": null
                            }
                        },
                        {
                            "id": "2020",
                            "type": "plan_periods",
                            "attributes": {
                                "created_at": "2019-05-03T14:20:04.124+03:00",
                                "updated_at": "2019-05-03T14:20:04.124+03:00",
                                "duration_value": null,
                                "duration_type": null,
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "transfer_fee": "0.0",
                                "renewal_fee": "0.0",
                                "trial": false,
                                "public": true,
                                "status": "active",
                                "description": ""
                            }
                        }
                    ]
                },
                "available_account_types": [
                    {
                        "id": 1564,
                        "name": "Физическое лицо",
                        "created_at": "2017-03-20T16:34:28.163+03:00",
                        "updated_at": "2020-05-05T13:01:02.962+03:00",
                        "reseller_id": 1,
                        "name_pattern": "%first_name %middle_name %last_name",
                        "primary_name": "",
                        "key": "personal",
                        "default_payment_method_id": 2,
                        "ancestry": "1562",
                        "use_by_default": false
                    },
                    {
                        "id": 1602,
                        "name": "Юридическое лицо",
                        "created_at": "2017-03-21T10:48:13.152+03:00",
                        "updated_at": "2020-05-05T12:58:44.367+03:00",
                        "reseller_id": 1,
                        "name_pattern": "%primary_name",
                        "primary_name": "Company name",
                        "key": "business",
                        "default_payment_method_id": 1,
                        "ancestry": "1600",
                        "use_by_default": false
                    }
                ],
                "plan_currency": "RUB",
                "custom_attributes": {
                    "item_1c_id": ""
                }
            }
        },
        {
            "id": "685",
            "type": "accounts",
            "attributes": {
                "created_at": "2020-08-11T15:07:51.626+03:00",
                "updated_at": "2020-08-11T08:15:58.256+03:00",
                "reseller_id": 1,
                "name": "Kate  Sat",
                "account_class_id": 1359,
                "primary_name": "",
                "first_name": "Kate",
                "middle_name": "",
                "last_name": "Sat",
                "country": "RU",
                "region": "Minsk",
                "city": "Minsk",
                "street": "Kalvariiskaya",
                "building": "",
                "office": "",
                "zip": "123456",
                "phone": "+37596666666",
                "email": "test@gmail.com",
                "status": "active",
                "balance": "191.15",
                "usable_balance": "87.0",
                "current_debt": 107.68,
                "subscription_credit_limit": 503333,
                "financial_blocking_threshold": 0,
                "account_type_id": 1564,
                "manager_id": null,
                "owner_id": 946,
                "tech_user_id": 946,
                "bill_user_id": 946,
                "custom_attributes": {
                    "signer_first_name": "",
                    "signer_last_name": "",
                    "signer_email": "",
                    "position": "manager"
                },
                "manager": null,
                "owner": {
                    "created_at": "2020-08-11T15:07:51.603+03:00",
                    "updated_at": "2020-08-11T15:07:51.997+03:00",
                    "email": "test@gmail.com",
                    "account_status": "active",
                    "global_status": "active",
                    "first_name": "Kate",
                    "middle_name": null,
                    "last_name": "Sat"
                },
                "default_payment_model": "postpay",
                "account_type": {
                    "id": 1564,
                    "name": "Физическое лицо",
                    "created_at": "2017-03-20T16:34:28.163+03:00",
                    "updated_at": "2020-05-05T13:01:02.962+03:00",
                    "reseller_id": 1,
                    "name_pattern": "%first_name %middle_name %last_name",
                    "primary_name": "",
                    "key": "personal",
                    "default_payment_method_id": 2,
                    "ancestry": "1562",
                    "use_by_default": false
                },
                "account_class": {
                    "id": 1359,
                    "reseller_id": 1,
                    "name": "postpay",
                    "created_at": "2024-12-06T07:15:46.138+03:00",
                    "updated_at": "2019-06-10T09:40:45.888+03:00",
                    "financial_blocking_threshold": "0.0",
                    "due_order_period": 7,
                    "subzero_period": -1,
                    "stop_subscription_type": "automatically",
                    "key": "postpay___",
                    "color": "orange",
                    "guaranteed_payment_limit": 1000,
                    "guaranteed_payment_period": 7,
                    "delete_subscription_type": "automatically",
                    "denominated": false,
                    "buy_with_negative_balance": true,
                    "receipt_day": null,
                    "payment_model": "postpay",
                    "default": false,
                    "due_payment_period": 5,
                    "subscription_credit_limit": "50.0"
                }
            },
            "relationships": {
                "subscriptions": {
                    "data": [
                        {
                            "id": "3007096",
                            "type": "subscriptions"
                        },
                        {
                            "id": "3007056",
                            "type": "subscriptions"
                        }
                    ]
                }
            }
        },
        {
            "id": "34848",
            "type": "subscription_resources",
            "attributes": {
                "created_at": "2020-08-11T08:15:18.763+03:00",
                "updated_at": "2020-08-11T08:15:26.441+03:00",
                "name": "res3",
                "measurable": null,
                "unit_of_measure": "unit",
                "application_template_name": "auto prov new",
                "included": 5,
                "minimum": 5,
                "limit": 0,
                "additional": 1,
                "priority": 0,
                "setup_fee": "0.0",
                "recurring_fee": "50.0",
                "overuse_fee": "0.0",
                "renewal_fee": "0.0",
                "unlimited_units": true,
                "public": true,
                "status": "active",
                "resource_id": 1427,
                "custom_attributes": {
                    "item_1c_id": "",
                    "vendor_short_name": ""
                }
            }
        },
        {
            "id": "6201",
            "type": "subscription_periods",
            "attributes": {
                "created_at": "2020-08-11T08:15:18.767+03:00",
                "updated_at": "2020-08-11T08:15:18.767+03:00",
                "duration_value": 1,
                "duration_type": "year",
                "setup_fee": "0.0",
                "recurring_fee": "0.0",
                "transfer_fee": "0.0",
                "renewal_fee": "0.0",
                "endless": false,
                "trial": false,
                "public": true,
                "status": "active",
                "description": ""
            }
        },
        {
            "id": "804",
            "type": "plans",
            "attributes": {
                "created_at": "2020-09-10T21:26:49.998+03:00",
                "updated_at": "2019-11-02T02:50:34.038+03:00",
                "status": "active",
                "name": "CSP monthly",
                "description": "",
                "public": true,
                "plan_class_id": 4,
                "product_id": 400,
                "billing_type": "csp_monthly",
                "ancestry": null,
                "reseller_id": 1,
                "fixed_price": false,
                "plan_class": "CSP monthly",
                "product_category_id": 190,
                "product_category": "default",
                "product": "Default",
                "plan_resources": {
                    "data": [
                        {
                            "id": "2849",
                            "type": "plan_resources",
                            "attributes": {
                                "created_at": "2018-03-05T05:06:03.235+03:00",
                                "updated_at": "2019-11-11T15:50:00.612+03:00",
                                "name": "r3",
                                "measurable": false,
                                "unit_of_measure": "unit",
                                "application_template_name": "auto prov new",
                                "included": 5,
                                "minimum": 5,
                                "limit": 0,
                                "setup_fee": "0.0",
                                "recurring_fee": "50.0",
                                "overuse_fee": "0.0",
                                "renewal_fee": "0.0",
                                "unlimited_units": true,
                                "public": true,
                                "status": "active",
                                "resource_id": 1427,
                                "custom_attributes": {
                                    "item_1c_id": "",
                                    "vendor_short_name": ""
                                }
                            }
                        }
                    ]
                },
                "plan_periods": {
                    "data": [
                        {
                            "id": "1611",
                            "type": "plan_periods",
                            "attributes": {
                                "created_at": "2018-05-22T02:31:36.531+03:00",
                                "updated_at": "2018-05-22T02:31:36.531+03:00",
                                "duration_value": 1,
                                "duration_type": "month",
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "transfer_fee": "0.0",
                                "renewal_fee": "0.0",
                                "trial": true,
                                "public": true,
                                "status": "active",
                                "description": ""
                            }
                        },
                        {
                            "id": "1614",
                            "type": "plan_periods",
                            "attributes": {
                                "created_at": "2018-03-01T04:35:03.182+03:00",
                                "updated_at": "2018-03-01T04:35:03.182+03:00",
                                "duration_value": 1,
                                "duration_type": "year",
                                "setup_fee": "0.0",
                                "recurring_fee": "0.0",
                                "transfer_fee": "0.0",
                                "renewal_fee": "0.0",
                                "trial": false,
                                "public": true,
                                "status": "active",
                                "description": ""
                            }
                        }
                    ]
                },
                "available_account_types": [
                    {
                        "id": 1564,
                        "name": "Физическое лицо",
                        "created_at": "2017-03-20T16:34:28.163+03:00",
                        "updated_at": "2020-05-05T13:01:02.962+03:00",
                        "reseller_id": 1,
                        "name_pattern": "%first_name %middle_name %last_name",
                        "primary_name": "",
                        "key": "personal",
                        "default_payment_method_id": 2,
                        "ancestry": "1562",
                        "use_by_default": false
                    },
                    {
                        "id": 1602,
                        "name": "Юридическое лицо",
                        "created_at": "2017-03-21T10:48:13.152+03:00",
                        "updated_at": "2020-05-05T12:58:44.367+03:00",
                        "reseller_id": 1,
                        "name_pattern": "%primary_name",
                        "primary_name": "Company name",
                        "key": "business",
                        "default_payment_method_id": 1,
                        "ancestry": "1600",
                        "use_by_default": false
                    }
                ],
                "plan_currency": "RUB",
                "custom_attributes": {
                    "item_1c_id": ""
                }
            }
        }
    ],
    "links": {
        "self": "https://test.activeplatform.com/api/v3/resellers/1/subscriptions?include=account%2Cplan%2Csubscription_period%2Csubscription_resources&meta=true&page%5Bnumber%5D=2610&page%5Bsize%5D=2",
        "first": "https://test.activeplatform.com/api/v3/resellers/1/subscriptions?include=account%2Cplan%2Csubscription_period%2Csubscription_resources&meta=true&page%5Bnumber%5D=1&page%5Bsize%5D=2",
        "prev": "https://test.activeplatform.com/api/v3/resellers/1/subscriptions?include=account%2Cplan%2Csubscription_period%2Csubscription_resources&meta=true&page%5Bnumber%5D=2609&page%5Bsize%5D=2",
        "next": "https://test.activeplatform.com/api/v3/resellers/1/subscriptions?include=account%2Cplan%2Csubscription_period%2Csubscription_resources&meta=true&page%5Bnumber%5D=2611&page%5Bsize%5D=2",
        "last": "https://test.activeplatform.com/api/v3/resellers/1/subscriptions?include=account%2Cplan%2Csubscription_period%2Csubscription_resources&meta=true&page%5Bnumber%5D=2617&page%5Bsize%5D=2"
    }
}